<?php
/**
* 商品一覧取得タスク
*
* PHP version 5
*
* @author     stk2k <stk2k@sazysoft.com>
* @copyright  2008 stk2k, sazysoft
*/
class ShouhinListTask extends DatabaseTask implements ITask
{
	public $shouhin_list;

	/*
	 *    コンストラクタ
	 */
	public function __construct()
	{
		parent::__construct();
	}

	/**
	 * イベントを処理する
	 */
	public function processEvent( IEvent $event, TaskSnapshot $snapshot )
	{

		// 商品一覧を検索
		$this->shouhin_list = $this->findAll( s('shouhin'), NULL, s('DB_TO_HTML') );

		return b(TRUE);
	}

}
